static struct interval list_Quotation_Mark [] = {
	{0x0022, 0x0022},
	{0x0027, 0x0027},
	{0x00AB, 0x00AB},
	{0x00BB, 0x00BB},
	{0x2018, 0x201F},
	{0x2039, 0x203A},
	{0x2E42, 0x2E42},
	{0x300C, 0x300F},
	{0x301D, 0x301F},
	{0xFE41, 0xFE44},
	{0xFF02, 0xFF02},
	{0xFF07, 0xFF07},
	{0xFF62, 0xFF63},
};
static struct interval list_Dash [] = {
	{0x002D, 0x002D},
	{0x058A, 0x058A},
	{0x05BE, 0x05BE},
	{0x1400, 0x1400},
	{0x1806, 0x1806},
	{0x2010, 0x2015},
	{0x2053, 0x2053},
	{0x207B, 0x207B},
	{0x208B, 0x208B},
	{0x2212, 0x2212},
	{0x2E17, 0x2E17},
	{0x2E1A, 0x2E1A},
	{0x2E3A, 0x2E3B},
	{0x2E40, 0x2E40},
	{0x2E5D, 0x2E5D},
	{0x301C, 0x301C},
	{0x3030, 0x3030},
	{0x30A0, 0x30A0},
	{0xFE31, 0xFE32},
	{0xFE58, 0xFE58},
	{0xFE63, 0xFE63},
	{0xFF0D, 0xFF0D},
	{0x10EAD, 0x10EAD},
};
static struct interval list_Ps [] = {
	{0x0028, 0x0028},
	{0x005B, 0x005B},
	{0x007B, 0x007B},
	{0x201A, 0x201A},
	{0x201E, 0x201E},
	{0x2045, 0x2045},
	{0x207D, 0x207D},
	{0x208D, 0x208D},
	{0x2308, 0x2308},
	{0x230A, 0x230A},
	{0x2329, 0x2329},
	{0x2768, 0x2768},
	{0x276A, 0x276A},
	{0x276C, 0x276C},
	{0x276E, 0x276E},
	{0x2770, 0x2770},
	{0x2772, 0x2772},
	{0x2774, 0x2774},
	{0x27C5, 0x27C5},
	{0x27E6, 0x27E6},
	{0x27E8, 0x27E8},
	{0x27EA, 0x27EA},
	{0x27EC, 0x27EC},
	{0x27EE, 0x27EE},
	{0x2983, 0x2983},
	{0x2985, 0x2985},
	{0x2987, 0x2987},
	{0x2989, 0x2989},
	{0x298B, 0x298B},
	{0x298D, 0x298D},
	{0x298F, 0x298F},
	{0x2991, 0x2991},
	{0x2993, 0x2993},
	{0x2995, 0x2995},
	{0x2997, 0x2997},
	{0x29D8, 0x29D8},
	{0x29DA, 0x29DA},
	{0x29FC, 0x29FC},
	{0x2E22, 0x2E22},
	{0x2E24, 0x2E24},
	{0x2E26, 0x2E26},
	{0x2E28, 0x2E28},
	{0x2E42, 0x2E42},
	{0x2E55, 0x2E55},
	{0x2E57, 0x2E57},
	{0x2E59, 0x2E59},
	{0x2E5B, 0x2E5B},
	{0x3008, 0x3008},
	{0x300A, 0x300A},
	{0x300C, 0x300C},
	{0x300E, 0x300E},
	{0x3010, 0x3010},
	{0x3014, 0x3014},
	{0x3016, 0x3016},
	{0x3018, 0x3018},
	{0x301A, 0x301A},
	{0x301D, 0x301D},
	{0xFD3F, 0xFD3F},
	{0xFE41, 0xFE41},
	{0xFE43, 0xFE43},
	{0xFF62, 0xFF62},
};
